Displaying 8 results from an estimated 8 matches for "network_up".
Did you mean:
network_map
2010 Mar 04
1
[PATCH node] fix network_up
...ctions | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/scripts/ovirt-functions b/scripts/ovirt-functions
index 1db89ae..866f963 100644
--- a/scripts/ovirt-functions
+++ b/scripts/ovirt-functions
@@ -734,7 +734,7 @@ is_valid_ipv4 () {
# Check if networking is already up
network_up () {
- test -n "$(/sbin/ip -o link show up | cut -d: -f2 | grep -v 'lo$')"
+ ip addr show | grep -q "inet.*scope global"
}
# execute a function if called as a script, e.g.
--
1.6.0.6
2010 Feb 04
3
[PATCH] Make configure_from_network function check if network is up, before touching it
...if [ -n "$DEVICE" ]; then
- log "Configuring network Using interface $DEVICE"
- # setup temporary interface to retrieve configuration
- echo "network --device $DEVICE --bootproto dhcp" | nash
+ log "Configuring network"
+ if ! network_up ; then
+ log "Using interface $DEVICE"
+ # setup temporary interface to retrieve configuration
+ echo "network --device $DEVICE --bootproto dhcp" | nash
+ fi
if [ $? -eq 0 ]; then
# from network-scripts/ifup-post...
2010 May 10
1
[PATCH node] RESEND: fix iscsi installation problems
...it was created before storage was established for iscsi targets
+ if [ "$OVIRT_ISCSI_NETWORKING" == "y" ]; then
+ ovirt_store_config \
+ /etc/sysconfig/network-scripts/ifcfg* \
+ /etc/ntp.conf
+ fi
done
}
do_iscsi_target()
{
+if ! network_up ; then
+ printf "Networking must be configured prior to configuring an iscsi target.\n\n"
+ # allow network config without setting up storage first
+ augtool <<EOF
+set /files/etc/default/ovirt/OVIRT_ISCSI_NETWORK_CONFIG y
+EOF
+ exit 99
+fi
+
while true; do
OPTION...
2010 Jul 13
1
[PATCH node] Kill persistent dhclient on the temporary interface
Signed-off-by: Arthur Clement <aclement at linagora.com>
---
scripts/ovirt-early | 7 ++++++-
1 files changed, 6 insertions(+), 1 deletions(-)
diff --git a/scripts/ovirt-early b/scripts/ovirt-early
index 1c15792..6b510ca 100755
--- a/scripts/ovirt-early
+++ b/scripts/ovirt-early
@@ -43,6 +43,9 @@ configure_ovirt_management_nic() {
log "Using interface $DEVICE"
2010 Apr 09
0
[PATCH node] fix iscsi installation problems
...it was created before storage was established for iscsi targets
+ if [ "$OVIRT_ISCSI_NETWORKING" == "y" ]; then
+ ovirt_store_config \
+ /etc/sysconfig/network-scripts/ifcfg* \
+ /etc/ntp.conf
+ fi
done
}
do_iscsi_target()
{
+if ! network_up ; then
+ printf "Networking must be configured prior to configuring an iscsi target.\n\n"
+ # allow network config without setting up storage first
+ augtool <<EOF
+set /files/etc/default/ovirt/OVIRT_ISCSI_NETWORK_CONFIG y
+EOF
+ exit 99
+fi
+
while true; do
OPTION...
2010 Feb 08
2
Proposals for making configure_from_network function works in f13
Hi
I am running a pxe diskless node in f13 and I have some proposals to make
ovirt-early working in this version.
nash is no more available (nash/mkinitrd is replaced by dracut), so this
following command fails :
"echo "network --device $DEVICE --bootproto dhcp" | nash"
it makes the network configuration incomplete. I replace the linuxrc command by
dhclient and it's
2010 Mar 31
1
[PATCH node] Handle space in storage wwid
...;$(findfs LABEL=RootUpdate 2>/dev/null)"
+ root_dev="$(findfs LABEL=Root 2>/dev/null)"
+ e2label "$root_dev" RootBackup
+ e2label "$root_update_dev" Root
fi
fi
# run post-install hooks
@@ -812,12 +812,12 @@ network_up () {
# Cleans partition tables
wipe_partitions() {
- local drive=$1
+ local drive="$1"
log "Wiping old boot sector"
- dd if=/dev/zero of=$drive bs=1024K count=1
+ dd if=/dev/zero of="$drive" bs=1024K count=1
# zero out the GPT secondary header...
2010 Oct 22
0
[PATCH node] First draft of replacing some of the ovirt-config-* scripts with python equivalents.
...record?):
+ # wget "http://192.168.50.2/cblr/svc/op/trig/mode/post/system/$(hostname)"
+ # -O /dev/null
+ for hook in os.listdir("/etc/ovirt-config-boot.d"):
+ os.system(hook)
+ os.system("/sbin/reboot")
+
+# Check if networking is already up
+def network_up():
+ ret = os.system("ip addr show | grep -q 'inet.*scope global'")
+ if ret == 0:
+ return True
+ return False
+# Cleans partition tables
+def wipe_partitions(drive):
+ log("Wiping old boot sector")
+ os.system("dd if=/dev/zero of=\"%s\&q...